{% extends 'base.html' %}
{% load static %}
    {% block head %}<title>Evénements</title> {% endblock %}
    {% block content %}
    <title>Évènements</title>
    <div id="yeargroupTable" class="flex flex-col h-screen w-full justify-center">
        <div class="-my-2 overflow-x-auto mx-8">
            <div class="py-2 align-middle inline-block min-w-full sm:px-6 lg:px-8">
                <div class="shadow overflow-hidden border-b border-gray-200 sm:rounded-lg">
                    <table class="min-w-full divide-y divide-gray-200">
                        <thead class="bg-gray-50">
                            <tr>
                                <th scope="col"
                                    class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">
                                    Nom
                                </th>
                                <th scope="col"
                                    class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">
                                    Date de début
                                </th>
                                <th scope="col"
                                    class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">
                                    Date de fin
                                </th>
                                <th scope="col"
                                    class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">
                                </th>
                            </tr>
                        </thead>
                        <tbody class="bg-white divide-y divide-gray-200">
                            {% for event in events %}
                                <tr>
                                    <td class="px-6 py-4 whitespace-nowrap">
                                        <div class="text-sm font-medium text-gray-900">{{ event.name }}</div>
                                    </td>
                                    <td class="px-6 py-4 whitespace-nowrap">
                                        <div class="text-sm text-gray-900">{{ event.dateStart }}</div>
                                    </td>
                                    <td class="px-6 py-4 whitespace-nowrap">
                                        <div class="text-sm text-gray-900">{{ event.dateEnd }}</div>
                                    </td>
                                    <td class="px-6 py-4 whitespace-nowrap"></td>
                                </tr>
                            {% endfor %}
                            <tr>
                                <form method="post">
                                    {% csrf_token %}
                                    <td class="px-6 py-3 whitespace-nowrap">
                                        <!--<input class="shadow appearance-none border rounded py-2 px-3 text-grey-darker" placeholder="Nom">-->
                                        {{ form.name }}
                                    </td>
                                    <td class="px-6 py-3 whitespace-nowrap">
                                        <!--<input type="datetime-local" class="shadow appearance-none border rounded py-2 px-3 text-grey-darker" placeholder="Date de début">-->
                                        {{ form.dateStart }}
                                    </td>
                                    <td class="px-6 py-3 whitespace-nowrap">
                                        <!--<input type="datetime-local" class="shadow appearance-none border rounded py-2 px-3 text-grey-darker" placeholder="Date de fin">-->
                                        {{ form.dateEnd }}
                                    </td>
                                    <td class="px-6 py-3 whitespace-nowrap">
                                        <input type="submit" value="Ajouter évènement" class="bg-purple-400 hover:bg-purple-500 text-white font-bold py-2 px-4 rounded">
                                    </td>
                                </form>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
